package com.fdkankan.scene.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.api.dto.SceneCntDTO;
import com.fdkankan.scene.api.dto.SceneProDTO;
import com.fdkankan.scene.vo.SceneDownloadParamVO;
import com.fdkankan.scene.vo.SceneParamVO;
import com.fdkankan.scene.vo.SceneVO;

/**
 * <p>
 * TODO
 * </p>
 *
 * @author dengsixing
 * @since 2022/1/20
 **/
public interface IUserSceneService {

    Page<SceneVO> getScenes(String token, SceneParamVO param);

    SceneCntDTO getSceneCnt(Long userId, Long cameraId);

    ResultData findSceneNumber(String token) throws Exception;

    ResultData getNewScenes(SceneParamVO param) throws Exception;

    Integer getSceneNumByCameraId(Long cameraId,Integer cameraType,String snCode);

    SceneProDTO getLastSceneByCameraId( Long cameraId);

    ResultData downloadScene(Long userId, SceneDownloadParamVO param) throws Exception;

    ResultData getSceneDownloadProcess(Long userId, SceneDownloadParamVO param);

    ResultData checkDownload(Long userId, SceneDownloadParamVO param) throws Exception;


}
